Package weka.associations

# Class NumericItem

java.lang.Object
weka.associations.Item
weka.associations.NumericItem

All Implemented Interfaces:
  `Serializable`, `Comparable<Item>`

public class NumericItem extends Item implements Serializable
Class that encapsulates a numeric item.

Version:
  $Revision: 10172 $
Author:
  Mark Hall (mhall{[at]}pentaho{[dot]}com)
See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `NumericItem.Comparison`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NumericItem(Attribute att, double splitPoint, NumericItem.Comparison comp)`
  Constructs a new `NumericItem`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object compareTo)`
  Equals.
  `NumericItem.Comparison`
  `getComparison()`
  Gets the comparison operator for this item.
  `String`
  `getComparisonAsString()`
  Get this item's comparison operator as a String.
  `String`
  `getItemValueAsString()`
  Get this item's value as a String.
  `double`
  `getSplitPoint()`
  Gets the numeric test.
  `String`
  `toString(boolean freq)`
  A string representation of this item, (i.e.

  ### Methods inherited from class weka.associations.Item

  `compareTo, decreaseFrequency, decreaseFrequency, getAttribute, getFrequency, hashCode, increaseFrequency, increaseFrequency, toString`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### NumericItem

    public NumericItem(Attribute att, double splitPoint, NumericItem.Comparison comp) throws Exception
    Constructs a new `NumericItem`
    Parameters:
      `att` - the attribute that backs the item.
      `splitPoint` - the numeric test value.
      `comp` - the comparison operator.
    Throws:
      `Exception` - if the NumericItem can't be constructed.

- ## Method Details

  - ### getSplitPoint

    public double getSplitPoint()
    Gets the numeric test.
    Returns:
      the numeric test value for this item.

  - ### getComparison

    public NumericItem.Comparison getComparison()
    Gets the comparison operator for this item.
    Returns:
      the comparison operator for this item.

  - ### getItemValueAsString

    public String getItemValueAsString()
    Get this item's value as a String.
    Specified by:
      `getItemValueAsString` in class `Item`
    Returns:
      this item's value as a String.

  - ### getComparisonAsString

    public String getComparisonAsString()
    Get this item's comparison operator as a String.
    Specified by:
      `getComparisonAsString` in class `Item`
    Returns:
      this item's comparison operator as a String.

  - ### toString

    public String toString(boolean freq)
    A string representation of this item, (i.e. ). This default implementation just prints the attribute name and (optionally) frequency information.
    Overrides:
      `toString` in class `Item`
    Parameters:
      `freq` - true if the frequency should be included.
    Returns:
      a string representation of this item.

  - ### equals

    public boolean equals(Object compareTo)
    Equals. Compares the attribute, numeric test and comparison operator
    Overrides:
      `equals` in class `Item`
    Returns:
      true if this NumericItem is equal to the argument.